Bug 451772 - Review Request: ume-launcher - a full screen application launcher for gnome
Review Request: ume-launcher - a full screen application launcher for gnome
Status: CLOSED DUPLICATE of bug 484423
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-06-17 05:59 EDT by Yaakov Nemoy
Modified: 2009-02-06 13:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 13:01:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tla: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)
spec file cleanup (3.00 KB, patch)
2008-06-17 10:34 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Yaakov Nemoy 2008-06-17 05:59:46 EDT
SPEC File: http://ynemoy.fedorapeople.org/repo/ume-launcher.spec
SRPM File: http://ynemoy.fedorapeople.org/repo/ume-launcher-0.3ubuntu3-1.fc9.src.rpm

UME-Launcher is a launcher that sits on top of the root window and provides a
clean full screen interface for launching applications and other system tools. 
It is designed for small screens and touch screens in particular.
Comment 1 Peter Robinson 2008-06-17 10:34:39 EDT
Created attachment 309618 [details]
spec file cleanup

Attached is an initial patch to cleanup the spec file somewhat. With this the
srpm created passes rpmlint. It probably needs some extra build reqs. You also
need to change the name/email in the Changelog entry.
Comment 2 Jonathan Roberts 2008-09-18 12:36:38 EDT
Updated the spec file to make it comply with packaging guidelines better, as
well as renamed to remove Ubuntu from the name. 

SPEC File: http://ynemoy.fedorapeople.org/repo/ume-launcher.spec
SRPM File:
http://ynemoy.fedorapeople.org/repo/ume-launcher-0.5.18-1.fc9.src.rpm

Have spoken with Yaakov, and will likely co-maintain these packages.
Comment 3 Tim Lauridsen 2008-09-19 10:47:09 EDT
i will review this one:

URL sould point to https://launchpad.net/netbook-remix

(in top of spec)
%define mayor_ver 0.5
%define minor_ver 18

Version: %{mayor_ver}.{minor_ver}
Source0: http://launchpadlibrarian.net/14969174/ume-launcher_%{mayor_ver}ubuntu%{minor_ver}.tar.gz

i think the .desktop should be installed using desktop-file-install
https://fedoraproject.org/wiki/Packaging/Guidelines#desktop

BuildRequires/Requires is missing deps
Comment 4 Jonathan Roberts 2008-09-19 11:16:07 EDT
I've spoken to upstream and new source tarballs are due out next week, so I'll hold on making these fixes and changing the source details until then. They've also committed to making more regular releases that will be better to use.
Comment 5 Jonathan Roberts 2008-10-02 12:12:51 EDT
Updated the spec file to fix your comments so far, and also updated to the latest upstream release. 

SPEC: http://jonrob.fedorapeople.org/RPMS/ume-launcher.spec
SRPM: http://jonrob.fedorapeople.org/RPMS/ume-launcher-0.6.3-1.fc9.src.rpm
Comment 6 Tim Lauridsen 2008-10-03 00:47:43 EDT
rpmlint ume-launcher-0.6.3-1.fc9.i386.rpm 
ume-launcher.i386: W: non-conffile-in-etc /etc/xdg/autostart/ume-launcher.desktop
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint ume-launcher-0.6.3-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
The warning is ok and can be ignored.

(. not checked, * = ok, X = not OK)


* Package is matching naming guidelines.
* spec file in named %{name}.spec 
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible have the right good license shortname : LGPLv2+
* License file must be in %doc (it it exists)
* Spec file is written in American English
* Spec file is legible.
X Sources match upstream.
  MD5SUM:
	f9699b350edd71acf727411cf7d0b287  rpmbuild/SOURCES/ume-launcher_0.6.3.tar.gz
	a9b58c94a1c4c0d59018ff14f4e3aa34  Download/ume-launcher_0.6.3.tar.gz


* summary and description fine
* correct buildroot
* %{?dist} is used
* license text included in package and marked with %doc
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager/Vendor/Distribution/Copyright tags not used
* Summary tag does not end in a period
* Package compiles and build into RPM's on : i386 etc.
* no Exclude Arch 
* BuildRequires for all build requerements (- the ones on the Exception list)
* locales are handed using %find_lang
* no shared libs 
* Package own all created directories.
* No duplicate files in %files 
* Every %files section includes a %defattr(...) line
* Package has a %clean with a rm -rf %{buildroot} or $RPM_BUILD_ROOT
* consistently use of macros
* Package contains code or or permissable content.
* No large documentation
* files in %doc dont affect runtime.
* no header files
* no static libs
* package has no pkgconfig (.pc) files 
* no -devel subpackage 
* no ..la libtool archives
* gui application, desktop-file-validate is used on .desktop file 
* package don't own files and dirs owned by other packages.
* %install starts with an rm -rf %{buildroot} 
* rpm package filenames is in valid UTF-8.
* no Rpath 
* no config files
* no init scripts 
* no %makeinstall used
* no Requires(pre,post)
* rpmlint is ok on SRPM 
* rpmlint is ok on RPM's.


Fix the sources and i will approve it
Comment 7 Jonathan Roberts 2008-10-03 04:28:47 EDT
With the sources issue, I'm unsure how to fix it. Upstream call their tarball ume-launcher_0.6.3 but the folder that results when it is extracted is simply called ume-launcher, meaning that on build it fails to change directories correctly. 

I 'fixed' this by changing the name of the directory to match the tarball, but obviously this isn't a good fix. Is there any other way I can fix it in the spec, or do I need to try and get upstream to change their practice?
Comment 8 Jaroslav Reznik 2008-10-03 05:52:48 EDT
Use %setup -q -n ume-launcher
Comment 10 Tim Lauridsen 2008-10-03 12:44:04 EDT
Much better:
a9b58c94a1c4c0d59018ff14f4e3aa34  Download/ume-launcher_0.6.3.tar.gz 
a9b58c94a1c4c0d59018ff14f4e3aa34  rpmbuild/SOURCES/ume-launcher_0.6.3.tar.gz

Hint: Remember to bump the release when making changes to the spec.

APPROVED
Comment 11 Jonathan Roberts 2008-10-04 08:22:57 EDT
New Package CVS Request
=======================
Package Name: ume-launcher
Short Description: a full screen application launcher for gnome
Owners: jonrob
Branches: F-8 F-9
Comment 12 Huzaifa S. Sidhpurwala 2008-10-06 05:53:09 EDT
cvs done
Comment 13 Fedora Update System 2008-10-06 10:11:11 EDT
ume-launcher-0.6.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ume-launcher-0.6.3-1.fc9
Comment 14 Yaakov Nemoy 2008-10-06 12:23:01 EDT
I need to be sponsored to maintain this package.  Jonrob and I were planning on co-maintaining it.
Comment 15 Fedora Update System 2008-10-07 05:51:32 EDT
ume-launcher-0.6.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ume-launcher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8673
Comment 16 Fedora Update System 2008-10-24 19:53:20 EDT
ume-launcher-0.6.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Alex Lancaster 2008-10-27 03:44:11 EDT
This package has never been built successfully on rawhide:

https://koji.fedoraproject.org/koji/packageinfo?packageID=6917

and should not have passed review or been closed.  This is currently causing broken deps in rawhide, because it is inheriting from the F-9 build which is built against an oder version of libgnome:

Broken deps for i386
----------------------------------------------------------
        ume-launcher-0.6.3-1.fc9.i386 requires libgnome-desktop-2.so.2
        ume-launcher-0.6.3-1.fc9.i386 requires libclutter-glx-0.6.so.0


Please fix ASAP.
Comment 18 Jonathan Roberts 2008-10-27 04:19:22 EDT
It fails to build on rawhide because of an error with the way it looks for intltool... upstream have renamed the package and have a newer version under the new name that does build.

A renamed package involves a new review, though? Is it best to kill this package and get the new one in?

I have to run, will try and fix again later.
Comment 19 Alex Lancaster 2008-10-27 05:34:02 EDT
(In reply to comment #18)
> It fails to build on rawhide because of an error with the way it looks for
> intltool... upstream have renamed the package and have a newer version under
> the new name that does build.

Yes, I thought it was something like that.

> A renamed package involves a new review, though? Is it best to kill this
> package and get the new one in?

Yes, I think so.  Meanwhile, can you file a bug with rel-eng:

https://fedorahosted.org/rel-eng

requesting blocking ume-launcher from rawhide, and then delete your pending build via bodhi for F-9?  

> I have to run, will try and fix again later.
Comment 20 Michel Alexandre Salim 2009-02-06 13:01:59 EST
I've searched and there's no ongoing review for netbook-launcher, so I just created one. Could interested people move to that bug? Yaakov, Jonathan, are you interested in co-maintaining?

*** This bug has been marked as a duplicate of bug 484423 ***

Note You need to log in before you can comment on or make changes to this bug.